Subject: Re: bug#6737: 24.0.50; Feature request for vc-annotate.el
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Fri, 14 Mar 2025 14:11:07 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Thu 03 Jun 2021 at 10:33am +02, Lars Ingebrigtsen wrote:

> [email-masked] (Aneesh Kumar K.V) writes:
>
>> It would be nice to support incremental blame support in vc-annotate.el.
>> Currently we have to wait for the full blame information before the
>> annotate buffer is available. git blame support incremental blame
>> feature which should be used to imporve the user experience. A similar
>> implementation can be found at git://git.bunkus.org/mo-git-blame.git
>
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
>
> vc-annotate seems to work quite fast for me (even in huge files that
> have decades-long histories, as in Emacs), so I'm not sure adding
> support for incremental annotation would be worth it.
>
> But perhaps changing the function to only work on the narrowed portion
> of the buffer would be nice?  That way you could `C-x n d C-x v g' (for
> instance) and get a very snappy annotation of just the current function,
> for instance.

It's been fifteen years since the original report.  Git has probably had
numerous performance improvements made; machines have got faster; the
Git repository with sample code 404s; adding this incremental support
might complicate debugging.  So I'm closing this one.

-- 
Sean Whitton